Bug 1198212 - hangs during login and logout for wayland sessions
Summary: hangs during login and logout for wayland sessions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Depends On:
Blocks: F22AlphaFreezeException
TreeView+ depends on / blocked
 
Reported: 2015-03-03 15:05 UTC by Ray Strode [halfline]
Modified: 2015-03-13 17:24 UTC (History)
5 users (show)

Fixed In Version: gdm-3.15.91.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-13 17:24:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Ray Strode [halfline] 2015-03-03 15:05:25 UTC
GDM 3.15.91 has some hangs in log in and log out of wayland in some cases. we should consider doing 3.15.91.2 for alpha which has fixes for these cases.

Comment 1 Fedora Update System 2015-03-03 15:13:12 UTC
gdm-3.15.91.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gdm-3.15.91.2-1.fc22

Comment 2 Fedora Update System 2015-03-04 21:07:57 UTC
Package gdm-3.15.91.2-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdm-3.15.91.2-1.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3098/gdm-3.15.91.2-1.fc22
then log in and leave karma (feedback).

Comment 3 Adam Williamson 2015-03-05 16:43:17 UTC
Some more info from Ray:

<halfline> adamw: it's been tested by gnome-continuous smoketesting and by me and a few other people
<halfline> i realize not being able to log into a wayland session isn't really a blocker
 but it seems pretty bad
 so if there's going to be a compose, i think the fixes should get in

<adamw> halfline: are the changes restricted to the wayland codepaths?
<halfline> well it's the same codepath, but it's not important for X since X does the VT switch on its own before logout

Another consideration, though - the official Workstation media (live image) does autologin, which I think will always go to X. So I think it's fair to say this really doesn't affect the release media much, it's more a factor post-install. That means it can be well fixed by an update.

So I'm a tentative -1 FE on this, by that understanding.

Comment 4 Mike Ruckman 2015-03-05 17:59:25 UTC
-1 as well with the context from comment 3.

Comment 5 Stephen Gallagher 2015-03-05 19:20:37 UTC
I'm -1 FE as well, with the above reasoning and also because we're close to a hopefully stable RC and I'd really be unhappy if the Law of Unintended Consequences hit us here and caused us to slip. GDM is too central to play around with right this minute.

Comment 6 Fedora Update System 2015-03-13 17:24:14 UTC
gdm-3.15.91.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.